> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blink.store/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Broadcast Email

> Send a broadcast email to a selected audience of the store identified by `x-store-id`. Requires `name`, `subject`, `html`, and `recipients_type` in the request body. The recipients can be all subscribers or repeat customers, with detailed sender configurations required.



## OpenAPI

````yaml /api-reference/growth-api.json post /audience/broadcasts
openapi: 3.0.0
info:
  title: Growth API
  description: Comprehensive API documentation for Blink.
  version: 1.0.0
servers:
  - url: https://api.blink.store/v1
security:
  - storeIdHeader: []
paths:
  /audience/broadcasts:
    post:
      tags:
        - Audience
      summary: Send Broadcast Email
      description: >-
        Send a broadcast email to a selected audience of the store identified by
        `x-store-id`. Requires `name`, `subject`, `html`, and `recipients_type`
        in the request body. The recipients can be all subscribers or repeat
        customers, with detailed sender configurations required.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendBroadcastRequest'
      responses:
        '201':
          description: Broadcast email successfully sent and recorded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BroadcastResponse'
      security:
        - storeIdHeader: []
components:
  schemas:
    SendBroadcastRequest:
      type: object
      properties:
        name:
          type: string
        subject:
          type: string
        html:
          type: string
        recipients_type:
          type: string
          enum:
            - all
            - repeat_customers
      required:
        - name
        - subject
        - html
        - recipients_type
    BroadcastResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            broadcast_id:
              type: string
            sent_count:
              type: integer
            audience_size:
              type: integer
            status:
              type: string
  securitySchemes:
    storeIdHeader:
      type: apiKey
      in: header
      name: x-store-id

````